Loading...
Searching...
No Matches
Avogadro Namespace Reference

## Classes

class | AboutDialog
class | Application
class | BackgroundFileFormat
class | MainWindow
class | MenuBuilder
class | RenderingDialog
class | RpcListener
class | ViewFactory
class | string
class | vector

## Functions

template<class T, class M>
void | setWidgetMolecule (T *glWidget, M *mol)
void | setDefaultViews (MultiViewWidget *viewWidget)
static bool | copyDirectoryRecursively (const QString &srcPath, const QString &dstPath)
static qint64 | recursiveDirSize (const QString &dirPath)
bool | populatePluginModel (ScenePluginModel &model, QObject *p, bool editOnly=false)
template<class T>
bool | populateTools (T *glWidget)
bool | ToolSort (const ToolPlugin *a, const ToolPlugin *b)

## Detailed Description

The MenuBuilder class helps to dynamically build up the application menus.

This class allows you to build up a list of menu entries, order them by priority/section and then add them to a QMenu once all elements have been added.

Separators are inserted as needed when priorities cross multiples of 100 (e.g. The ranges ..., (-100)-(-1), 0-99, 100-199, ... will be grouped together).